# Git&Zenodo Assistant 

## Zenodo

Here, you can read the information available in the Git&Zenodo Assistant review about Zenodo. At the end, you will find the respective documentation if you want to know more.

<CENTER>
    <h2> Git&Zenodo Assistant: review about Zenodo </h2>
    <img src="images_tutorial/zenodo_review.png">
</CENTER>

### What is Zenodo?
* * *
Zenodo is a website where you can upload and publish files. It is funded by CERN, OpenAIRE and the EU.
It is built and developed by researchers who want to promote Open Science and welcome research from all nations and disciplines, to help scientific work to be more shareable and citeable.
Currently, all meta data is openly available under CC0 licence, and all open content is openly accessible through open APIs

### Uploading and Publishing
* * *
You can upload many types of files to Zenodo: publications, posters, presentations, datasets, images, videos, audios, softwares, lessons, all research outputs from all fields of science are welcome, and they are currently accepting up to 50GB per dataset!
When your files are ready, you can publish them, so they will be permanently available on the Internet: your work will be stored safely and it will be easier to cite, discover and share, considering
flexible licensing (although Zenodo encourages you to share your 
research as openly as possible).

### What is DOI Versioning?
* * *
A DOI (Digital Object Identifier) is a unique string of numbers, letters, and symbols used to identify objects (like your scientific publication). 
DOIs are standardized and assigned by a registration agency.
Zenodo supports DOI versioning by providing your published work two DOIs, allowing you to:
* Edit/update the record’s files after they have been published.
* Cite a specific version of a record.
* Cite all of versions of a record.
This makes your work easier to identify, search and cite.

### What is metadata? 
* * *
Metadata is a set of data that contains information about other data.
While uploading a file to Zenodo, and before you publish it in the website, you have to provide important data about your file, like its title, creators, and type, which represents its metadata.
Not only this is a requirement of Zenodo, but it is very useful: it helps to describe your work, making it easier to find and identify, and it also makes it more accesible, by using a standard format and vocabulary.


## Documentation
[1] [Zenodo: Home Page](https://zenodo.org/)  
[2] [About Zenodo](https://about.zenodo.org/)  
[3] [Zenodo: FAQ](https://help.zenodo.org/)
[4] [Zenodo: FAQ-DOI Versioning](https://help.zenodo.org/#versioning)
[5] [Zenodo: Principles-Metadata](https://about.zenodo.org/principles/)
